/*
 Pitch follower
 Analóg szenzorból kiolvasott értékhez rendeli a hangszórón lejátszott hajlítás hangjait.
 
 created 21 Jan 2010
 modified 31 May 2012
 by Tom Igoe, with suggestion from Michael Flynn 
 */

void setup() {
  // soros kommunikációt inicializáljuk, 
  // hogy a változást követhessük:
  Serial.begin(9600);
}

void loop() {
  // a szenzort kiolvassuk:
  int sensorReading = analogRead(A0);
  // kiírjuk, hogy megtudjuk az értékeit:
  Serial.println(sensorReading);
  // szétosztjuk az analógból érkező értéktartományt 
  // (ebben az esetben 400-1000 érkezik a fotóellenállásból)
  // a kimeneten a hajlítás értéktartománya (120-1500 Hz)
  // állítsuk be, vagy változtassuk meg ezeket 
  // az értékeket a szenzorunknak megfelelően, ha kell
  int thisPitch = map(sensorReading, 400, 1000, 120, 1500);

  // játsszuk le a hajlítást:
  tone(9, thisPitch, 10);
  delay(1);        
  // késleltetés a kiolvasásban, a stabilitás miatt
}



